function p.__get_is_solid() return true end
function p.__get_tex() return "block_default" end

function p.__main()
    set_default_block("s")

    --Shaft down into center area.
    set_pos(7,7,8,"e")
    set_pos(7,7,9,"e")
    set_pos(7,7,10,"e")
    set_pos(7,7,11,"e")
    set_pos(7,7,12,"e")
    set_pos(7,7,13,"e")
    set_pos(7,7,14,"e")
    set_pos(7,7,15,"e")

    set_pos(8,7,7,"room_txt")
    set_pos(7,7,7,"room_start") --The start
    set_pos(6,7,7,"room_on_sure_and_ledge")
    set_pos(6,6,7,"room_crouching")
    --
    set_pos(6,5,7,"e")
    --
    set_pos(7,5,7,"room_diamond")
    set_pos(8,5,7,"room_block_gun")
    --
    set_pos(5,5,7,"room_six_sides")
    set_pos(4,5,7,"room_glass")
    set_pos(6,4,7,"room_scrolling_win")
    -- set_pos(6,3,7,"e")
    -- set_pos(6,2,7,"e")
    -- set_pos(6,1,7,"e")
    -- set_pos(6,0,7,"e")

    --You can add to this!
end
